# Examples below, demonstrating XSD 1.0 validation using three input files.
# The response type is plain text.

import requests

validation_url = 'https://www.softwarebytes.org/xmlvalidation/api/xsValidationHandler'

other_form_data = {'ver': '1.0',
                   'xsd11CtaFullXPath': 'no'
                  }

print("\nExample 1 output:\n")
input_files = {
        ('xmlFile', open('../resources/three_inp_files/x1_valid.xml', 'r')),
        ('xsdFile1', open('../resources/three_inp_files/x1.xsd', 'r')),
        ('xsdFile2', open('../resources/three_inp_files/x1_included.xsd', 'r'))
      }      
      
response = requests.post(validation_url, files=input_files, data=other_form_data)

print(response.text)

print("\nExample 2 output:\n")
input_files = {
        ('xmlFile', open('../resources/three_inp_files/x1_invalid.xml', 'r')),
        ('xsdFile1', open('../resources/three_inp_files/x1.xsd', 'r')),
        ('xsdFile2', open('../resources/three_inp_files/x1_included.xsd', 'r'))
      }
      
response = requests.post(validation_url, files=input_files, data=other_form_data)

print(response.text)      