# Examples below, demonstrating XSD 1.1 validation using two input files.
# The response type is XML.

import requests

validation_url = 'https://www.softwarebytes.org/xmlvalidation/api/xsValidationHandler'

other_form_data = {'ver': '1.1',
                   'xsd11CtaFullXPath': 'no',
                   'responseType': 'xml'
                  } 

print("\nExample 1 output:\n")
input_files = {
        ('xmlFile', open('../resources/two_inp_files/x1_valid_1.xml', 'r')),
        ('xsdFile1', open('../resources/two_inp_files/x1.xsd', 'r'))
      }     
      
response = requests.post(validation_url, files=input_files, data=other_form_data)

print(response.text)

print("\nExample 2 output:\n")
input_files = {
        ('xmlFile', open('../resources/two_inp_files/x1_invalid_1.xml', 'r')),
        ('xsdFile1', open('../resources/two_inp_files/x1.xsd', 'r'))
      }
      
response = requests.post(validation_url, files=input_files, data=other_form_data)

print(response.text)      